<?php
$azt_blog_columns      = $args['blog_sidebar'] ? 'col-md-7 col-lg-8 col-xl-9' : 'col-md-12';
$azt_blog_post_columns = 'col-12';

if ( $args['blog_layout'] == 'blog-2cols-grid' ) {
    $azt_blog_post_columns = $args['blog_sidebar'] ? 'col-lg-6 col-md-12' : 'col-md-6';
}

if ( $args['blog_layout'] == 'blog-standard' ) {
    if ( ! $args['blog_sidebar'] ) {
        $sizes = '(min-width: 1400px) 1256px, (min-width: 1200px) 1076px, (min-width: 992px) 896px, (min-width: 768px) 656px, (min-width: 576px) 476px, calc( 100vw - 64px )';
    } else {
        $sizes = '(min-width: 1400px) 926px, (min-width: 1200px) 791px, (min-width: 992px) 576px, (min-width: 768px) 356px, (min-width: 576px) 476px, calc( 100vw - 64px )';
    }
} else {
    if ( ! $args['blog_sidebar'] ) {
        $sizes = '(min-width: 1400px) 596px, (min-width: 1200px) 506px, (min-width: 992px) 416px, (min-width: 768px) 296px, (min-width: 576px) 476px, calc( 100vw - 64px )';
    } else {
        $sizes = '(min-width: 1400px) 596px, (min-width: 1200px) 506px, (min-width: 992px) 416px, (min-width: 768px) 356px, (min-width: 576px) 476px, calc( 100vw - 64px )';
    }
}

$att = [ 'sizes' => $sizes ];

?>
<div class="row">
    <div class="<?php echo esc_attr( $azt_blog_columns ); ?>">
        <div class="<?php echo esc_attr( $args['blog_class'] ); ?>">
        <?php
            if ( have_posts() ) {
            ?>
            <div class="row">
                <?php
                while ( have_posts() ) {
                    the_post();
                    ?>
                    <div class="<?php echo esc_attr( $azt_blog_post_columns ); ?>">
                        <article <?php post_class(); ?>>
                        	<div class="post-wrapper">
                        		<?php if ( wp_get_attachment_url( get_post_thumbnail_id() ) ) { ?>
                                <a class="featured-image" href="<?php the_permalink(); ?>">
                        			<?php the_post_thumbnail( 'full', $att ); ?>
                        		</a>
                                <?php } ?>
                        		<div class="post-content">
                        			<div class="post-cats">
                        				<?php the_category( ', ' ); ?>
                        			</div>
                        			<h2 class="post-title">
                        				<a href="<?php the_permalink(); ?>">
                        					<?php the_title(); ?>
                        				</a>
                        			</h2>
                        			<?php get_template_part( 'template-parts/post', 'meta' ); ?>
                        			<?php if ( get_the_excerpt() ) { ?>
                        				<div class="post-except">
                        					<?php echo wp_trim_words( get_the_excerpt(), 35, '...' ); ?>
                        				</div>
                        				<div class="readmore">
                        					<a href="<?php the_permalink(); ?>" class="link-more"><?php echo esc_html__( 'Read More +', 'sarahlite' ); ?></a>
                        				</div>
                        			<?php } ?>
                        		</div>
                        	</div>
                        </article>
                    </div>
                    <?php
                }
                ?>
            </div>
            <?php
                sarahlite_pagination();
            }
        ?>
        </div>
    </div>
    <?php if ( $args['blog_sidebar'] ) { ?>
    <div class="col-md-5 col-lg-4 col-xl-3">
        <?php get_sidebar(); ?>
    </div>
    <?php } ?>
</div>
