<?php
if ( post_password_required() ) {
	return;
}
$fields = array(
	'author' => '<div class="row"><div class="col-sm-6"><input type="text" name="author" id="name" class="input-form" placeholder="' . esc_attr__( 'Name *', 'sarahlite' ) . '" /></div>',
	'email' => '<div class="col-sm-6"><input type="text" name="email" id="email" class="input-form" placeholder="' . esc_attr__( 'Email *', 'sarahlite' ) . '"/></div>',
	'website' => '<div class="col-sm-12"><input type="text" name="url" id="url" class="input-form" placeholder="' . esc_attr__( 'Website', 'sarahlite' ) . '"/></div></div>',
);

$custom_comment_form = array( 
	'fields' => apply_filters( 'comment_form_default_fields', $fields ),
	'comment_field' => '<textarea name="comment" id="message" class="textarea-form" placeholder="' . esc_attr__( 'Comment', 'sarahlite' ) . '"  rows="4"></textarea>',
	'logged_in_as' => '<p class="logged-in-as">' . esc_html__( 'Logged in as', 'sarahlite' ) . ' <a href="' . esc_url( admin_url( 'profile.php' ) ) . '">' . $user_identity . '</a>&nbsp;<a href="' . esc_url( wp_logout_url( get_permalink() ) ) . '">' . esc_html__( 'Log out?', 'sarahlite' ) . '</a></p>',
	'cancel_reply_link' => __( 'Cancel', 'sarahlite' ),
	'title_reply' => __( 'Leave a Reply', 'sarahlite' ),
	'label_submit' => __( 'Submit', 'sarahlite' ),
	'id_submit' => 'comment_submit',
);

?>
<?php if ( have_comments() ) : ?>
<div id="comments" class="comments-area">    
	<?php if ( comments_open() ) : ?>
		<h4 class="comments-title">
			<?php comments_number( null, esc_html__( '1 Comment', 'sarahlite' ), '% ' . esc_html__( 'Comments', 'sarahlite' ) ); ?>
		</h4>
	<?php endif; ?>
	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) { ?>
	<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'sarahlite' ); ?></h1>
		<div class="nav-previous"><?php previous_comments_link( '&larr; Older Comments' ); ?></div>
		<div class="nav-next"><?php next_comments_link( 'Newer Comments &rarr;' ); ?></div>
	</nav>
	<?php } ?>    
	<ol class="comment-list">
	<?php
		wp_list_comments(
			array(
				'style' => 'ol',
				'short_ping' => true,
				'avatar_size' => 90,
				'callback' => 'sarahlite_custom_comment',
			)
		);
	?>
	</ol><!-- .comment-list -->    
	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
	<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'sarahlite' ); ?></h1>
		<div class="nav-previous"><?php previous_comments_link( '&larr; Older Comments' ); ?></div>
		<div class="nav-next"><?php next_comments_link( 'Newer Comments &rarr;' ); ?></div>
	</nav><!-- #comment-nav-below -->
	<?php endif; // Check for comment navigation. ?>    
	<?php if ( ! comments_open() ) : ?>
	<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'sarahlite' ); ?></p>
	<?php endif; ?>
</div>
<?php endif; ?>
<!-- Leave reply -->
<?php comment_form( $custom_comment_form ); ?>
<!-- Leave reply -->
