<?php
/**
 * Theme Hooks
 */
defined( 'ABSPATH' ) || exit;

/**
 * After Body
 *
 * @see azt_skip_link()
 */
add_action( 'wp_body_open', 'azt_skip_link', 10 );

/**
 * Site Header
 *
 * @see azt_site_branding()
 * @see azt_site_navigation()
 */
add_action( 'azt_site_header', 'azt_site_branding', 15 );
add_action( 'azt_site_header', 'azt_site_navigation', 20 );

/**
 * Site Content
 * @see azt_site_content_wrapper_start()
 * @see azt_site_content_wrapper_end()
 */
add_action( 'azt_before_site_main_content', 'azt_site_content_wrapper_start', 10 );
add_action( 'azt_after_site_main_content', 'azt_site_content_wrapper_end', 10 );

/**
 * Before Blog
 * @see azt_featured_posts_slider()
 * @see azt_promo_boxes()
 */
add_action( 'azt_before_blog', 'azt_featured_posts_slider', 10 );
add_action( 'azt_before_blog', 'azt_promo_boxes', 15 );

/**
 * Before Archive
 * @see azt_archive_title()
 */
add_action( 'azt_before_archive', 'azt_archive_title', 10 );

/**
 * Site Content
 * @see azt_site_footer_instagram()
 * @see azt_site_footer_social_icons()
 * @see azt_site_footer_copyright()
 */
add_action( 'azt_site_footer', 'azt_site_footer_instagram', 10 );
add_action( 'azt_site_footer', 'azt_site_footer_social_icons', 15 );
add_action( 'azt_site_footer', 'azt_site_footer_copyright', 20 );
