<?php
get_header();
?>
<div class="row">
	<?php
        $azt_single_post_sidebar = is_active_sidebar( 'sidebar' ) ? true : false;
        $azt_single_post_columns = $azt_single_post_sidebar ? 'col-md-7 col-lg-8 col-xl-9' : 'col-md-12';
    ?>
	<div class="<?php echo esc_attr( $azt_single_post_columns ); ?>">
		<?php if ( have_posts() ) { ?>
			<?php while ( have_posts() ) { ?>
				<?php
                    the_post();
                    if ( ! $azt_single_post_sidebar ) {
                        $sizes = '(min-width: 1400px) 1256px, (min-width: 1200px) 1076px, (min-width: 992px) 896px, (min-width: 768px) 656px, (min-width: 576px) 476px, calc( 100vw - 64px )';
                    } else {
                        $sizes = '(min-width: 1400px) 926px, (min-width: 1200px) 791px, (min-width: 992px) 576px, (min-width: 768px) 356px, (min-width: 576px) 476px, calc( 100vw - 64px )';
                    }
                    $att = [ 'sizes' => $sizes ];
                ?>
				<article <?php post_class(); ?>>
					<div class="single-post-content">
						<div class="featured-image">
							<?php the_post_thumbnail( 'full', $att ); ?>
						</div>
						<div class="post-content-wrap">
							<div class="post-cats"><?php the_category( ', ' ); ?></div>
							<h1 class="post-title"><?php the_title(); ?></h1>
							<?php get_template_part( 'template-parts/post', 'meta' ); ?>
							<div class="post-content">
								<?php the_content(); ?>
							</div>
							<?php if ( get_the_tags() ) { ?>
								<div class="post-tags">
									<?php the_tags( '', ' ' ); ?>
								</div>
							<?php } ?>
							<?php if ( get_previous_post_link() || get_next_post_link() ) { ?>
								<div class="prev-next-links">
								<?php if ( get_previous_post_link() ) { ?>
									<div class="older">
										<?php previous_post_link( '%link', __( 'Previous Post', 'sarahlite' ) ); ?>
									</div>
								<?php } ?>
								<?php if ( get_next_post_link() ) { ?>
									<div class="newer">
										<?php next_post_link( '%link', __( 'Next Post', 'sarahlite' ) ); ?>
									</div>
								<?php } ?>
								</div>
							<?php } ?>
							<?php comments_template( '', true ); ?>
						</div>
					</div>
				</article>			
			<?php } ?>
		<?php } ?>
	</div>
	<?php if ( is_active_sidebar( 'sidebar' ) ) { ?>
		<div class="col-md-5 col-lg-4 col-xl-3">
			<?php get_sidebar(); ?>
		</div>
	<?php } ?>
</div>

<?php
get_footer();
