<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>
<div class="site-branding">
    <?php
        $blog_info = get_bloginfo( 'name' );
        $description = get_bloginfo( 'description', 'display' );
    ?>
    <?php if ( has_custom_logo() ) { ?>
        <div class="site-logo"><?php the_custom_logo(); ?></div>
    <?php } else { ?>
        <?php if ( $blog_info ) { ?>
            <?php if ( is_front_page() && ! is_paged() ) { ?>
    			<h1 class="site-title"><?php echo esc_html( $blog_info ); ?></h1>
    		<?php } elseif ( is_front_page() || is_home() ) { ?>
    			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html( $blog_info ); ?></a></h1>
    		<?php } else { ?>
    			<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html( $blog_info ); ?></a></p>
    		<?php } ?>
        <?php } ?>
    <?php } ?>
    <?php if ( $description && get_theme_mod('sarahlite_site_brading_display_tagline') ) { ?>
    	<p class="site-description">
    		<?php echo wp_kses_post( $description ); ?>
    	</p>
    <?php } ?>
</div>